<template>
  <div class="example">
    <Header title="Buzzword Bingo" msg="Dies ist ein Beispiel" title_right="Spielcode TEST" />
    <div class="container" align="center">
        <button
        type="button"
        style="width: 30%;  margin: 0.5rem 0.5rem 0;"
        class="btn"
        @click="toggleEdit"
        :class="{'btn-success': editable, 'btn-secondary': !editable}"
            >toggle edit words
        </button>
        <button
        type="button"
        style="width: 30%; margin: 0.5rem 0.5rem 0;"
        class="btn"
        @click="toggleCount"
        :class="{'btn-success': countable, 'btn-secondary': !countable}"
            >toggle count words
        </button>
    </div>    
    <CardGrid :cards="somecards" :size="3" :editable="editable" :countable="countable" @moved="exampleMove" @counted="exampleCount" />
  </div>
</template>

<script>
// @ is an alias to /src
import CardGrid from "@/components/CardGrid.vue";
import Header from "@/components/Header.vue";

export default {
  name: "CardGridExample",
  components: {
    Header,
    CardGrid
  },
  data() {
    return {
      editable: false,
      countable: false,
      somecards: [
        { x: 0, y: 0, w: 1, h: 1, i: "0", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 1, y: 0, w: 1, h: 1, i: "1", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 2, y: 0, w: 1, h: 1, i: "2", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 0, y: 1, w: 1, h: 1, i: "3", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 1, y: 1, w: 1, h: 1, i: "4", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 2, y: 1, w: 1, h: 1, i: "5", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 0, y: 2, w: 1, h: 1, i: "6", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 1, y: 2, w: 1, h: 1, i: "7", buzzWord: "last but not least", edit: false, counter: 0 },
        { x: 2, y: 2, w: 1, h: 1, i: "8", buzzWord: "last but not least", edit: false, counter: 0 }
      ]
    };
  },
  methods: {
    toggleEdit () {
      this.editable = !this.editable
      this.countable = false
      for (var card of this.somecards){
          card.count = 0
      }
    },
    toggleCount () {
        if (!this.editable && !this.countable) {
            this.countable = true
        }
        else if (this.editable && !this.countable) {
            alert('cannot enable count-words in edit mode')
        }
        else {
            this.countable = false
        }
    },
    exampleCount (event) {
    },
    exampleMove (i, newX, newY) {
    }
  }
};
</script>
